#!/bin/sh

# Copy authorized_keys to get SSH access
if [ -f /tmp/mnt/$1/authorized_keys ]; then
	mkdir /root/.ssh
	cp -p -f /tmp/mnt/$1/authorized_keys /root/.ssh
	chown root.root /root/.ssh/authorized_keys
	chmod 0600 /root/.ssh/authorized_keys
fi

# Copy ED25519 dropbear server private key
if [ -f /tmp/mnt/$1/dropbear_ed25519_host_key ]; then
	cp -p -f /tmp/mnt/$1/dropbear_ed25519_host_key /etc/dropbear
	chown root.root /etc/dropbear/dropbear_ed25519_host_key
	chmod 0600 /etc/dropbear/dropbear_ed25519_host_key
fi

# Copy ECDSA dropbear server private key
if [ -f /tmp/mnt/$1/dropbear_ecdsa_host_key ]; then
	cp -p -f /tmp/mnt/$1/dropbear_ecdsa_host_key /etc/dropbear
	chown root.root /etc/dropbear/dropbear_ecdsa_host_key
	chmod 0600 /etc/dropbear/dropbear_ecdsa_host_key
fi

# Copy RSA dropbear server private key
if [ -f /tmp/mnt/$1/dropbear_rsa_host_key ]; then
	cp -p -f /tmp/mnt/$1/dropbear_rsa_host_key /etc/dropbear
	chown root.root /etc/dropbear/dropbear_rsa_host_key
	chmod 0600 /etc/dropbear/dropbear_rsa_host_key
fi

# Copy ED25519 server public key
if [ -f /tmp/mnt/$1/ssh_host_ed25519_key.pub ]; then
	cp -p -f /tmp/mnt/$1/ssh_host_ed25519_key.pub /etc/dropbear
	chown root.root /etc/dropbear/ssh_host_ed25519_key.pub
fi

# Copy ECDSA server public key
if [ -f /tmp/mnt/$1/ssh_host_ecdsa_key.pub ]; then
	cp -p -f /tmp/mnt/$1/ssh_host_ecdsa_key.pub /etc/dropbear
	chown root.root /etc/dropbear/ssh_host_ecdsa_key.pub
fi

# Copy RSA server public key
if [ -f /tmp/mnt/$1/ssh_host_rsa_key.pub ]; then
	cp -p -f /tmp/mnt/$1/ssh_host_rsa_key.pub /etc/dropbear
	chown root.root /etc/dropbear/ssh_host_rsa_key.pub
fi
